Turbine.Gameplay.Attributes.WardenGambit.Javelin = 4;

_G.trim = function(s)
	return string.gsub(s, "^%s*(.-)%s*$", "%1");
end

_G.snarfargs = function(arguments)
	local args = { };

	for v in string.gmatch(arguments, "%S+") do
		table.insert(args, v);
	end
	return args;
end

_G.serialize = function(t)
	if type(t) == "number" then
		return string.gsub(tostring(t), ",", ".");
	elseif type(t) == "string" then
		return string.gsub(string.format("%q", t), "([\128-\255])", function (c) return string.format("\\%03d", string.byte(c)); end);
	elseif type(t) == "table" then
		local s = nil;

		for k, v in pairs(t) do
			if s == nil then
				s = "[" .. _G.serialize(k) .. "] = " .. _G.serialize(v);
			else
				s = s .. ", [" .. _G.serialize(k) .. "] = " .. _G.serialize(v);
			end
		end
		if s == nil then
			return "{ }";
		else
			return "{ " .. s .. " }";
		end
	else
		return tostring(t);
	end
end